#!/bin/sh

# DELIVERY_DIR is /current/itrnet with /current/itrnet a link 
# to /mnt/flashext/itrnet_x (albator)
DELIVERY_DIR="/current/itrnet"

echo "[ALZ_IA] inserting qos modules..."
insmod /opt/itrnet/bin/qos/cls_u32.o
insmod /opt/itrnet/bin/qos/sch_red.o
insmod /opt/itrnet/bin/qos/sch_prio.o

echo "[ALZ_IA] untaring $DELIVERY_DIR/ia.tar..."
cd /opt/itrnet
/opt/itrnet/bin/tar -xvf $DELIVERY_DIR/ia.tar > /dev/null

echo "[ALZ_IA] invoking /opt/itrnet/bin/scripts/mkdir.sh..."
/opt/itrnet/bin/scripts/mkdir.sh

echo "[ALZ_IA] invoking /opt/itrnet/bin/scripts/chrights.sh..."
/opt/itrnet/bin/scripts/chrights.sh

echo "[ALZ_IA] invoking /opt/itrnet/bin/iainit.sh"
/opt/itrnet/bin/scripts/iainit.sh
echo
echo "[ALZ_IA] --- end of IA package installation and startup ---"
echo


